Searched refs:ifn (Results 1 - 25 of 28) sorted by relevance

12

/freebsd-11-stable/etc/rc.d/
H A Dwpa_supplicant17 ifn="$2"
18 if [ -z "$ifn" ]; then
30 if is_wired_interface ${ifn} ; then
32 elif is_ndis_interface ${ifn} ; then
42 pidfile="/var/run/${name}/${ifn}.pid"
43 command_args="-B -i $ifn -c $conf_file -D $driver -P $pidfile"
H A Ddhclient12 ifn="$2"
17 pidfile="/var/run/${name}.${ifn}.pid"
25 if [ -z "${rc_force}" ] && ! dhcpif $ifn; then
27 msg="'$ifn' is not a DHCP-enabled interface"
42 specific=$(get_if_var $ifn dhclient_flags_IF)
47 background_dhclient=$(get_if_var $ifn background_dhclient_IF $background_dhclient)
52 rc_flags="${rc_flags} ${ifn}"
58 if [ -z $ifn ] ; then
H A Dhostapd16 ifn="$2"
17 if [ -z "$ifn" ]; then
23 conf_file="/etc/${name}-${ifn}.conf"
24 pidfile="/var/run/${name}-${ifn}.pid"
H A Dsppp25 for ifn in ${sppp_interfaces}; do
26 eval spppcontrol_args=\$spppconfig_${ifn}
31 eval spppcontrol ${ifn} ${spppcontrol_args}
H A Dnetif187 for ifn in $_cooked_list; do
188 case ${ifn#epair} in
193 $ifn) _tmp_list="$_tmp_list ${ifn}a ${ifn}b" ;;
194 *) _tmp_list="$_tmp_list ${ifn}" ;;
205 for ifn in ${_cooked_list# }; do
206 # Skip if ifn does not exist.
209 if ! ${IFCONFIG_CMD} $ifn > /dev/null 2>&1; then
210 warn "$ifn doe
[all...]
H A Dnatd24 for ifn in ${dhcp_list}; do
26 ${ifn})
/freebsd-11-stable/etc/
H A Dpccard_ether37 eval ifx_routes=\$static_routes_${ifn}
54 eval ifx_routes=\$static_routes_${ifn}
67 autoif $ifn || exit 0
73 ifexists $ifn || exit 1
77 if [ "${uif}" = "${ifn}" ]; then
84 /etc/rc.d/netif quietstart $ifn
88 if [ -n "`ifconfig_getargs $ifn`" ]; then
89 if ! dhcpif $ifn; then
99 if [ -n "`ifconfig_getargs $ifn`" ]; then
100 if ! dhcpif $ifn; the
[all...]
/freebsd-11-stable/release/picobsd/mfs_tree/etc/
H A Drc.network12 for ifn in ${network_interfaces}; do
13 [ -e /etc/start_if.${ifn} ] && . /etc/start_if.${ifn}
15 eval ifconfig_args=\$ifconfig_${ifn}
16 [ -n "${ifconfig_args}" ] && ifconfig ${ifn} ${ifconfig_args}
21 eval ifconfig_args=\$ifconfig_${ifn}_alias${alias}
23 ifconfig ${ifn} ${ifconfig_args} alias
29 ifconfig ${ifn}
/freebsd-11-stable/contrib/ipfilter/lib/
H A Dipft_hx.c59 static int hex_readip(mb, ifn, dir)
61 char **ifn;
76 if (ifn)
77 *ifn = NULL;
103 if (ifn)
104 *ifn = strdup(u);
111 } else if (ifn)
112 *ifn = t;
H A Dipft_tx.c116 static int text_readip(mb, ifn, dir)
118 char **ifn;
130 *ifn = NULL;
142 *ifn = NULL;
144 if (!parseline(line, (ip_t *)buf, ifn, dir)) {
164 static int parseline(line, ip, ifn, out)
167 char **ifn;
175 if (*ifn)
176 free(*ifn);
199 return parseipv6(cpp, (ip6_t *)ip, ifn, ou
[all...]
H A Dipft_pc.c205 static int ipcap_readip(mb, ifn, dir)
207 char **ifn;
219 ifn = ifn; /* gcc -Wextra */
/freebsd-11-stable/sys/netinet/
H A Dsctp_bsd_addr.c66 MALLOC_DEFINE(SCTP_M_IFN, "sctp_ifn", "sctp ifn struct");
147 sctp_is_desired_interface_type(struct ifnet *ifn) argument
152 switch (ifn->if_type) {
199 struct ifnet *ifn; local
208 TAILQ_FOREACH(ifn, &MODULE_GLOBAL(ifnet), if_list) {
209 if (sctp_is_desired_interface_type(ifn) == 0) {
213 IF_ADDR_RLOCK(ifn);
214 TAILQ_FOREACH(ifa, &ifn->if_addrlist, ifa_list) {
254 (void *)ifn,
255 ifn
359 struct ifnet *ifn; local
[all...]
H A Dsctp_os_bsd.h203 #define SCTP_IFN_IS_IFT_LOOP(ifn) ((ifn)->ifn_type == IFT_LOOP)
308 #define SCTP_GATHER_MTU_FROM_IFN_INFO(ifn, ifn_index, af) ((struct ifnet *)ifn)->if_mtu
H A Dsctp_pcb.h80 uint32_t ifn_index; /* shorthand way to look at ifn for reference */
94 * is pulled from the ifn list
105 struct sctp_ifn *ifn_p; /* back pointer to parent ifn */
493 struct sctp_ifn *sctp_find_ifn(void *ifn, uint32_t ifn_index);
503 * If a ifn goes down, we will do src-addr-selection
513 void *ifn, uint32_t ifn_index, uint32_t ifn_type,
H A Dsctp_pcb.c106 * to a VRF we lookup the ifn/ifn_index, if the ifn does
112 * vrf-> ifn-> ifn -> ifn
126 * that any locking on system level ifn/ifa is done at the
196 sctp_find_ifn(void *ifn, uint32_t ifn_index) argument
210 if (sctp_ifnp->ifn_p && ifn && (sctp_ifnp->ifn_p == ifn)) {
402 * Add an ifa to an ifn
492 sctp_add_addr_to_vrf(uint32_t vrf_id, void *ifn, uint32_t ifn_index, uint32_t ifn_type, const char *if_name, void *ifa, struct sockaddr *addr, uint32_t ifa_flags, int dynamic_add) argument
5891 struct sctp_ifn *ifn, *nifn; local
[all...]
/freebsd-11-stable/contrib/libpcap/
H A Dfad-glifc.c83 struct lifnum ifn; local
119 ifn.lifn_family = AF_UNSPEC;
120 ifn.lifn_flags = 0;
121 ifn.lifn_count = 0;
122 if (ioctl(fd4, SIOCGLIFNUM, (char *)&ifn) < 0) {
133 buf_size = ifn.lifn_count * sizeof (struct lifreq);
/freebsd-11-stable/sys/netpfil/pf/
H A Dif_pflog.c206 struct ifnet *ifn; local
212 if ((ifn = V_pflogifs[rm->logif]) == NULL || !ifn->if_bpf)
258 if_inc_counter(ifn, IFCOUNTER_OPACKETS, 1);
259 if_inc_counter(ifn, IFCOUNTER_OBYTES, m->m_pkthdr.len);
260 BPF_MTAP2(ifn, &hdr, PFLOG_HDRLEN, m);
/freebsd-11-stable/usr.bin/uniq/
H A Duniq.c107 const char *ifn; local
150 ifn = "stdin";
153 ifp = file(ifn = argv[0], "r");
156 err(1, "unable to limit rights for %s", ifn);
187 err(1, "%s", ifn);
223 err(1, "%s", ifn);
/freebsd-11-stable/sbin/ifconfig/
H A Difbridge.c617 setbridge_ifpriority(const char *ifn, const char *pri, int s, argument
628 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname));
636 setbridge_ifpathcost(const char *ifn, const char *cost, int s, argument
647 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname));
655 setbridge_ifmaxaddr(const char *ifn, const char *arg, int s, argument
666 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname));
/freebsd-11-stable/contrib/elftoolchain/elfcopy/
H A Dbinary.c139 create_elf_from_binary(struct elfcopy *ecp, int ifd, const char *ifn) argument
219 if ((sym_basename = strdup(ifn)) == NULL)
H A Delfcopy.h287 void create_elf_from_binary(struct elfcopy *_ecp, int _ifd, const char *ifn);
/freebsd-11-stable/usr.bin/unifdef/
H A Dunifdef.c384 processinout(const char *ifn, const char *ofn) argument
388 if (ifn == NULL || strcmp(ifn, "-") == 0) {
393 filename = ifn;
394 linefile = ifn;
395 input = fopen(ifn, "rb");
397 err(2, "can't open %s", ifn);
/freebsd-11-stable/usr.sbin/pmcstat/
H A Dpmcpl_calltree.c666 pmcstat_interned_string ifl, ifn; local
670 ifn = pmcstat_string_intern(fn);
673 ifn = 0;
690 ct->pct_ifl == ifl && ct->pct_ifn == ifn)
706 ct->pct_ifn = ifn;
/freebsd-11-stable/sbin/ipfw/
H A Dnat.c76 * Search for interface with name "ifn", and fill n accordingly:
78 * n->ip ip address of interface "ifn"
79 * n->if_name copy of interface name "ifn"
82 set_addr_dynamic(const char *ifn, struct nat44_cfg_nat *n) argument
127 if (strlen(ifn) == sdl->sdl_nlen &&
128 strncmp(ifn, sdl->sdl_data, sdl->sdl_nlen) == 0) {
135 errx(1, "unknown interface name %s", ifn);
169 strncpy(n->if_name, ifn, IF_NAMESIZE);
/freebsd-11-stable/sbin/natd/
H A Dnatd.c890 SetAliasAddressFromIfName(const char *ifn) argument
935 if (strlen(ifn) == sdl->sdl_nlen &&
936 strncmp(ifn, sdl->sdl_data, sdl->sdl_nlen) == 0) {
944 errx(1, "unknown interface name %s", ifn);
974 warnx("%s: cannot get interface address", ifn);

Completed in 174 milliseconds

12